---
obj: concept
wiki: https://en.wikipedia.org/wiki/Power_over_Ethernet
---

# Power over Ethernet (POE)
Power over Ethernet (PoE) is a technology that enables the transmission of electrical power alongside data over standard Ethernet cables. This eliminates the need for separate power cables, simplifying the deployment of network devices and providing greater flexibility in various applications.

## How PoE Works
PoE works by integrating power and data into a single network cable. Standard Ethernet cables, such as Cat5e or Cat6, contain multiple twisted pairs of wires. In a PoE setup, one or more of these pairs are used to carry electrical power, while the remaining pairs transmit data.

The power is injected into the Ethernet cable by a PoE-enabled switch or a midspan (PoE injector) device. At the receiving end, the powered device (PD), such as a network camera or IP phone, separates the power from the data for use.

## PoE Standards
There are several PoE standards, each specifying different power levels and features. The most common standards include:
- **IEEE 802.3af**: Also known as PoE, this standard delivers up to 15.4 watts of DC power to each device.
- **IEEE 802.3at**: Commonly referred to as PoE+, this standard provides higher power levels, delivering up to 30 watts.
- **IEEE 802.3bt**: Also known as Ultra PoE, this standard offers even higher power levels, supporting up to 60 or 100 watts, depending on the device type.

## Applications of PoE
PoE is widely used in various industries and applications, including:
- **IP Cameras**: PoE simplifies the installation of surveillance cameras by providing power and data over a single cable.
- **VoIP Phones**: Many Voice over Internet Protocol (VoIP) phones are PoE-enabled, eliminating the need for additional power adapters.
- **Wireless Access Points (WAPs)**: PoE facilitates the deployment of wireless networks by powering access points through Ethernet cables.
- **Smart Lighting**: PoE is increasingly used for powering and controlling smart lighting systems in commercial and residential buildings.
- **Internet of Things (IoT) Devices**: PoE can power a variety of IoT devices, such as sensors and actuators, in a cost-effective and efficient manner.

## Advantages of PoE
- **Simplified Installation**: With PoE, there's no need for separate power cables, reducing installation time and costs.
- **Flexibility**: PoE provides flexibility in device placement since it is not limited by the proximity to power outlets.
- **Centralized Power Management**: PoE-enabled switches can centrally manage and monitor the power consumption of connected devices.
- **Cost-Effective**: PoE eliminates the need for additional electrical infrastructure, saving on installation and maintenance costs.