---
obj: concept
wiki: https://en.wikipedia.org/wiki/Webhook
---

# Webhook
A webhook in web development is a method of augmenting or altering the behavior of a web page or web application with custom callbacks. These callbacks may be maintained, modified, and managed by third-party users and developers who may not necessarily be affiliated with the originating website or application.

The format is usually [JSON](../files/JSON.md). The request is done as a [HTTP](HTTP.md) POST request.

## Function
Webhooks are "user-defined [HTTP](HTTP.md) callbacks". They are usually triggered by some event, such as pushing code to a repository, a comment being posted to a blog and many more use cases. When that event occurs, the source site makes an [HTTP](HTTP.md) request to the [URL](URL.md) configured for the webhook. Users can configure them to cause events on one site to invoke behavior on another. One example would be sending [Discord](../applications/communication/Discord.md) messages on specific events.