---
obj: concept
wiki: https://en.wikipedia.org/wiki/Email
---

# eMail
Email, short for electronic mail, is a widely used method of exchanging digital messages over the Internet. It has become an integral part of personal and business communication, enabling the rapid and efficient exchange of information.

## Key Components
### 1. **Email Address:**
- An email address uniquely identifies an individual or entity in the email system. It typically consists of a local part (username) and a [domain](Domain.md) part (e.g., username@example.com).
### 2. **Mail User Agent (MUA):**
- The Mail User Agent is an email client or application used by individuals to compose, send, receive, and manage emails. Examples include Outlook, [Thunderbird](../applications/communication/Thunderbird.md), and [Gmail](../applications/communication/Gmail.md).
### 3. **Mail Transfer Agent (MTA):**
- The Mail Transfer Agent is responsible for routing and transferring emails between servers. Common MTAs include Sendmail, Postfix, and Microsoft Exchange.
### 4. **Mail Delivery Agent (MDA):**
- The Mail Delivery Agent stores incoming emails in the recipient's mailbox. Examples include Dovecot and Courier.
### 5. **Protocols:**
- **[SMTP](SMTP.md) (Simple Mail Transfer Protocol):** Used for sending and relaying emails between servers.
- **POP3 (Post Office Protocol 3):** Retrieves emails from a server and typically deletes them from the server after retrieval.
- **IMAP (Internet Message Access Protocol):** Allows users to access and manage emails on the server, supporting multiple devices.
### 6. **Email Headers:**
- Email headers contain metadata about the message, including sender, recipient, subject, date, and other routing information.
### 7. **Attachments:**
- Emails can include attachments, such as documents, images, or other files, which are transmitted along with the message.

## Email Workflow
1. **Composition:**
    - The sender uses an MUA to compose an email, addressing it to one or more recipients.
2. **Sending:**
    - The MUA uses [SMTP](SMTP.md) to send the email to the recipient's email server (MTA).
3. **Routing:**
    - The recipient's MTA receives the email, checks the recipient's address, and relays it to the appropriate MDA.
4. **Delivery:**
    - The MDA stores the email in the recipient's mailbox, making it accessible for retrieval.
5. **Retrieval:**
    - The recipient's MUA retrieves emails from the server using POP3 or IMAP.
