---
obj: website
website: https://www.google.com
category: company
rev: 2024-05-27
---

# Google
Google LLC is an American multinational technology company specializing in internet-related services and products.

## Search
Google Search is a powerful tool that goes beyond simple keyword queries. By mastering some of the advanced search techniques, you can find more precise results faster and with less effort.

### Use Quotation Marks for Exact Phrases
To search for an exact phrase, enclose the phrase in quotation marks. For example:
```
"climate change impact on agriculture"
```
This will return results containing the exact phrase "climate change impact on agriculture".

### Use the Minus Sign to Exclude Words
If you want to exclude a word from your search results, use the minus sign (`-`). For example:
```
apple -fruit
```
This will return results about Apple Inc. and exclude results related to the fruit.

### Use the Asterisk as a Wildcard
The asterisk (`*`) can be used as a placeholder for any unknown or variable terms. For example:
```
"largest * in the world"
```
This will return results for the largest entities in various categories.

### `site:` to Search Within a Specific Website
To search within a specific website, use the `site:` operator. For example:
```
site:wikipedia.org "artificial intelligence"
```
This will return results about artificial intelligence from Wikipedia only.

### `intitle:` to Search for Words in the Title
To find pages with specific words in the title, use the `intitle:` operator. For example:
```
intitle:technology trends 2024
```
This will return results with "technology" in the title and "trends 2024" somewhere on the page.

### `related:` to Find Similar Websites
To find websites similar to a specific site, use the `related:` operator. For example:
```
related:nytimes.com
```
This will return websites similar to The New York Times.

### Perform Calculations
You can use Google Search as a calculator by simply typing the equation. For example:
```
245 * 3.5
```
This will return the result of the calculation.

### Convert Units
To convert units, just type the conversion you need. For example:
```
10 miles to kilometers
```
This will return the equivalent distance in kilometers.

### Search for File Types
To search for specific file types, use the `filetype:` operator. For example:
```
"climate change" filetype:pdf
```
This will return PDF files containing information about climate change.

### Find Images
To find images, use Google Images. You can access it by clicking on "Images" after performing a search or directly going to [Google Images](https://images.google.com). You can also use specific search terms to narrow down your image search:
```
puppies
```
And then refine by using filters like size, color, type, and usage rights.

> You are also able to do a reverse image search with [Google Images](https://images.google.com)
